get
https://staging.myrecurpay.com/api/admin/v2/orders
Get all subscription orders created by Recurpay
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Params
All Orders Object
| Attribute | Type | Description |
|---|---|---|
| order | array of objects | Array or objects containing the order details. See Order - Object |
Order Object
Order ObjectThe response of the order API might differ depending on the connected platform on Recurpay.
| Attribute | Type | Description |
|---|---|---|
| id | integer | Order Id - A globally-unique identifier of order |
| checkout_id | integer | Checkout Id - A unique value when referencing the checkout that's associated with the order. |
| subscription_id | integer | Subscription Id - A globally-unique identifier of subscription related to the order. |
| name | string | Order Name - A unique identifier referring to an order. |
| line_items | object | A list of line item objects, each containing information about an item in the order. See Line Item - Object |
| transaction | object | Object containing transaction details. See Transaction - Object |
| customer_id | string | Customer id - A unique identifier referring to the customer associated with the order. |
| payment_order_id | string | Payment gateway order id |
| currency | string | Currency of the order |
| subtotal_price | float | Subtotal of the order |
| total_discount | float | Total discount applied for the order |
| total_tax | float | Total tax paid for the order |
| total_shipping | float | Total shipping paid for the order |
| total_price | float | Order total price |
| status | enum | Status of the order. |
| shipping_address | object | Shipping address associated with the order. |
| shipping_lines | object | Shipping rates and name associated with the order. |
| created_at | datetime | Date and time when order was created. |
| updated_at | datetime | Date and time when order was updated. |
Line Item Object
| Attribute | Type | Description |
|---|---|---|
| variant_id | string | Variant id of the line item that needs to be added. |
| quantity | integer | Quantity of the line item. |
| properties | object | Additional information which needs to be passed along with the line item on checkout and order. |
Transaction Object
| Attribute | Type | Description |
|---|---|---|
| gateway | string | Name of the payment gateway |
| mode | string | Mode of the payment. Eg: Either card, upi, cod etc. |
| recurring | boolean | It can be either true or false, depending on whether recurring transactions are allowed on the payment mode used for the transaction. |
| transaction_id | string | A globally-unique identifier of transaction. |
